Clover coverage report - PMD - 3.7
Coverage timestamp: Wed May 31 2006 09:25:59 EDT

file stats: | LOC: | 18 |  | Methods: | 0
| NCLOC: | 4 |  | Classes: | 1

Source file | Conditionals | Statements | Methods | TOTAL

VisitorStarter.java

-

-

-

-

1 |  | package net.sourceforge.pmd.sourcetypehandlers;
2 |  |
3 |  | /**
4 |  | * Interface for starting an implementation of the parser visitors for
5 |  | * the grammars.
6 |  | *
7 |  | * @author pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be
8 |  | */
9 |  | public interface VisitorStarter {
10 |  |
11 |  | /**
12 |  | * Start the visitor, given the root-node of the AST.
13 |  | *
14 |  | * @param rootNode The root node of the AST
15 |  | */
16 |  | void start(Object rootNode);
17 |  |
18 |  | }